catalog:
  title: Kaldi ASR Bridge to ROS

templates:
- freestyle
- base

variables:
  description: >-
    A simple 'string' bridge to ROS and some convenience scripts to
    use kaldi gstreamer
  keywords:
  - ASR
  - Kaldi
  - ROS
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  platform-requires:
    ubuntu:
      packages:
      - python-pip

  shell.command: |
    rm -rf kaldi_ros_bridge
    git clone https://github.com/CentralLabFacilities/kaldi_ros_bridge.git
    cd kaldi_ros_bridge
    git checkout ${upstream-version}
    export prefix=${toolkit.dir} && ./install.sh

versions:
- name: master
  variables:
    upstream-version: ${version-name}
    extra-provides:
    - nature: freestyle
      target: kaldi_ros_bridge
      version: master

- name: pepper-head
  variables:
    upstream-version: ${version-name}
    extra-provides:
    - nature: freestyle
      target: kaldi_ros_bridge
      version: master
    shell.command: |
      source /home/nao/ros_distro/ros_isolated.env
      rm -rf kaldi_ros_bridge
      git clone https://github.com/CentralLabFacilities/kaldi_ros_bridge.git
      cd kaldi_ros_bridge
      git checkout master
      export prefix=${toolkit.dir} && ./install.sh
